invoke.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Functions

template<typename _Tp , typename _Up = typename __inv_unwrap<_Tp>::type>
constexpr _Up && | std::__invfwd (typename remove_reference< _Tp >::type &__t) noexcept
template<typename _Callable , typename... _Args>
constexpr __invoke_result< _Callable, _Args... >::type | std::__invoke (_Callable &&__fn, _Args &&... __args) noexcept(__is_nothrow_invocable< _Callable, _Args... >::value)
template<typename _Res , typename _MemFun , typename _Tp , typename... _Args>
constexpr _Res | std::__invoke_impl (__invoke_memfun_deref, _MemFun &&__f, _Tp &&__t, _Args &&... __args)
template<typename _Res , typename _MemFun , typename _Tp , typename... _Args>
constexpr _Res | std::__invoke_impl (__invoke_memfun_ref, _MemFun &&__f, _Tp &&__t, _Args &&... __args)
template<typename _Res , typename _MemPtr , typename _Tp >
constexpr _Res | std::__invoke_impl (__invoke_memobj_deref, _MemPtr &&__f, _Tp &&__t)
template<typename _Res , typename _MemPtr , typename _Tp >
constexpr _Res | std::__invoke_impl (__invoke_memobj_ref, _MemPtr &&__f, _Tp &&__t)
template<typename _Res , typename _Fn , typename... _Args>
constexpr _Res | std::__invoke_impl (__invoke_other, _Fn &&__f, _Args &&... __args)
template<typename _Res , typename _Callable , typename... _Args>
constexpr enable_if_t< is_invocable_r_v< _Res, _Callable, _Args... >, _Res > | std::__invoke_r (_Callable &&__fn, _Args &&... __args) noexcept(is_nothrow_invocable_r_v< _Res, _Callable, _Args... >)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file invoke.h.